//---------------------------------------------------------------------------
#ifndef StackDataH
#define StackDataH
#include <cstring.h>
#include "lektion.h"
//---------------------------------------------------------------------------
struct LektionsData
{
    LektionsData();
    LektionsData(const lektion& l, const int& col_, const int& row_);
    string HoldID;
    string FagID;
    string LaererID;
    string LokaleID;
    int Blok;
    int col;
    int row;
};
LektionsData::LektionsData()
{
    HoldID = "tom";
    FagID = "tom";
    LaererID = "tom";
    LokaleID = "tom";
    Blok = 0;
    col = 0;
    row = 0;
}
LektionsData::LektionsData(const lektion& l, const int& col_, const int& row_)
{
    HoldID = l.HoldID;
    FagID = l.FagID;
    LaererID = l.LaererID;
    LokaleID = l.LokaleID;
    Blok = l.blokstoerrelse;
    col = col_;
    row = row_;
}
struct PLektionsData
{
    PLektionsData() { Prio = 0; col = 0; row = 0; }
    PLektionsData(const int& Prio_, const int& col_, const int& row_);
    int Prio;
    int col;
    int row;
};
PLektionsData::PLektionsData(const int& Prio_, const int& col_, const int& row_)
{
    Prio = Prio_;
    col = col_;
    row = row_;
}
#endif
